#include "ros/ros.h"
#include "std_msgs/String.h"

#include "geometry_msgs/Twist.h"

#include "turtlesim/Pose.h"

#define PI 3.14159265359

ros::Publisher velocity_pub;
turtlesim::Pose current_pose;


void pose_cb(const turtlesim::Pose::ConstPtr& msg){
	current_pose = *msg;
	
}

int main(int argc, char **argv){
	
	
	ros::init(argc, argv, "turtle_controller");
	ros::NodeHandle n;
	
	//init publishers and subscribers
	velocity_pub = n.advertise<geometry_msgs::Twist>("/turtle1/cmd_vel", 1);
	ros::Subscriber sub_pose = n.subscribe("/turtle1/pose", 1, pose_cb );
   

	//TO DO: call service to teleport turtle1 to a random location or
	//call the service to spawn the fish or the shark at a random location
	
	
	//main loop
	float framerate = 40.0;
	ros::Rate loop_rate(framerate);
	
	while (ros::ok()){
		
		//check if any messages have arrived
		ros::spinOnce();
		
		//the velocity msg we'll publish
		geometry_msgs::Twist v;
		
		/*
		 * here goes the decision making of the agent 
		 */
		
		//publish msg andsleep at the desired rate
		velocity_pub.publish(v);
		loop_rate.sleep();
	}

	
	
	
	return 0;
}
